Skip to main content
`Ctrl`+`K`

# ISGetIndicesF90

Accesses the elements of an index set from Fortran. The users should call `ISRestoreIndicesF90()` after having looked at the indices. The user should NOT change the indices.

## Synopsis

    ISGetIndicesF90(IS x,{integer, pointer :: xx_v(:)},integer ierr)

Not Collective

## Input Parameter

- x - index set

## Output Parameters

- xx_v - the Fortran pointer to the array

- ierr - error code

## Example of Usage

        PetscInt, pointer xx_v(:)
        ....
        call ISGetIndicesF90(x,xx_v,ierr)
        a = xx_v(3)
        call ISRestoreIndicesF90(x,xx_v,ierr)

## See Also

`ISRestoreIndicesF90()`, `ISGetIndices()`, `ISRestoreIndices()`

## Level

intermediate

## Location

src/vec/is/is/interface/index.c

## Examples

src/vec/is/is/tutorials/ex1f.F90
src/vec/is/is/tutorials/ex1f90.F90
src/vec/is/is/tutorials/ex3f90.F90
src/vec/is/is/tutorials/ex2f.F90
src/ksp/ksp/tutorials/ex76f.F90

Index of all IS routines
Table of Contents for all manual pages
Index of all manual pages